- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage Applications
- /
- Delete application access authorization records
¶ Delete application access authorization record
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory and https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
Cancel the application access authorization for users, groups, organizations or roles. If the input data does not exist, the returned data will not be processed with an error.
¶ Method Name
ManagementClient.revokeApplicationAccess
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|---|---|---|---|---|
| list | DeleteApplicationPermissionRecordItem[] | Yes | - | Authorization subject list, up to 10 items | |
| appId | string | Yes | - | Application ID | 6229ffaxxxxxxxxcade3e3d9 |
¶ Sample Code
package test.management;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.DeleteApplicationPermissionRecordItem;
import cn.authing.sdk.java.dto.IsSuccessRespDto;
import cn.authing.sdk.java.dto.RevokeApplicationAccessDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
public class RevokeApplicationAccessTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
RevokeApplicationAccessDto reqDto = new RevokeApplicationAccessDto();
reqDto.setAppId("6229ffaxxxxxxxxcade3e3d9");
List<DeleteApplicationPermissionRecordItem> list = new ArrayList<>();
DeleteApplicationPermissionRecordItem recordItem = new DeleteApplicationPermissionRecordItem();
recordItem.setTargetType(DeleteApplicationPermissionRecordItem.TargetType.USER);
recordItem.setTargetIdentifier(Collections.singletonList("6sd9ffaxxxxxcade3eds9"));
list.add(recordItem);
reqDto.setList(list);
IsSuccessRespDto response = client.revokeApplicationAccess(reqDto);
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. You can use this status code to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | IsSuccessDto | Whether the operation is successful |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}
¶ Data Structure
¶ DeleteApplicationPermissionRecordItem
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| targetType | string | Yes | Subject type | USER |
| namespaceCode | string | No | Permission group code, required when subject type is "ROLE" | code1 |
| targetIdentifier | array | Yes | Subject identifier list, when subject type is "USER", the value should be user ID; when subject type is "GROUP", the value should be group code; when subject type is "ROLE", the value should be role code; when subject type is "ORG", the value should be organization node ID. Maximum 50 entries. | ["6229ffaxxxxxxxxcade3e3d9"] |
¶ IsSuccessDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| success | boolean | Yes | Whether the operation is successful | true |
